<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <style>
        body{
            text-align: center;
            background-color:#FFFCF9;
        }

        h1{
            font-size: 3rem;
            color: #5F9595;
            margin: 2.4rem;
        }

        h1:hover{   
            color: #4F7777;
        }
        
        .btn-primary{
            color: black;
            background-color: #FFD986;
            border-color: #FFD986;
            margin: 2rem;
        }

        .btn-primary:hover{
            color: black;
            background-color: #FFD362;
            border-color: #FFD362;
        }

        .btn-primary:not(:disabled):not(.disabled):active, .btn-primary:not(:disabled):not(.disabled).active,
        .show > .btn-primary.dropdown-toggle {
            color: #fff;
            background-color: #5F9595;
            border-color: #5F9595;
        }

        .table-size{
            margin-top: 1.5rem;
        }

        thead{
            background-color: #C4D7D1;;
        }

        tbody{
            background-color: #EDF3F1;
        }
    </style>
    <title>Status Lika</title>
</head>

<body>
    <div class="container">
        <div class="col-md-12 col-sm-12">
            <h1>Halo, apa kabar?</h1>
        </div>
    </div>
    
    <div class="container">
        <div class="col-md-12 col-sm-12">
            <form method="POST" action="{% url 'status_page:status' %}">
                {% csrf_token %}
                {{ form.status }}
                <button type="submit" class="btn btn-primary" id="submit-button">Tambahkan</button>
            </form>
        </div>    
    </div>
    
    <div class="container table-size">
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>Status</th>
                    <th>Tanggal dan Waktu</th>
                </tr>
            </thead>

            <tbody>
                {% for s in all_status %}
                    <tr>
                        <td>{{ s.status }}</td>
                        <td>{{ s.time }}</td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    
</body>
</html>